Google Groups

CaptchaRequiredError (Ruby API)

yoshi Aug 6, 2012 12:21 PM
Posted in group: AdWords API Forum


Recently I get a lot of CaptchaRequiredError's using the Adwords API. I'm building an application that executes requests to the API frequently
using the Ruby client library. I'm using ClientLogin as authentication method and version v201206 of the API.

All I do is creating an instance of and reuse it for every request.

Earlier this hasn't been a problem until now. Even if I dont touch the authtoken endpoint for every request (which I believe I don't) is there still
a request/second limit that also raises the CaptchaRequiredError? By the way, I get the same error in SANDBOX environment.

I don't know how to debug this since I havent' change anything. And I send the same amount of request now as then.